Name:          spring
Version:       103.0
Release:       1mamba
Summary:       A project aiming to create a new and versatile RTS Engine
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://springrts.com/
Source:        http://downloads.sourceforge.net/project/springrts/springrts/%{name}-%{version}/%{name}_%{version}_src.tar.gz
Patch0:        spring-95.0-boost_filesystem.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libboost-devel
BuildRequires: libcurl-devel
BuildRequires: libdevil-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libglew-devel
BuildRequires: libGLU-devel
#BuildRequires: libgoogle-perftools-devel
BuildRequires: libogg-devel
BuildRequires: libopenal-devel
BuildRequires: libSDL-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: apache-maven3
BuildRequires: libboost-devel >= 1.55
Provides:      springrts
Obsoletes:     springrts
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Spring is a project aiming to create a new and versatile RTS Engine. 

%prep
%setup -q -n %{name}_%{version}
#-D -T
#:<< _EOF
#%patch0 -p1

%build
#:<< _EOF
%cmake -d build \
   -DMVN_BIN=%{bindir}/mvn3 \
   -DLIBDIR=%{_lib}

# NOTE: % make does not work
make %{_smp_mflags}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#install -m0755 build/tools/pr-downloader/src/libCurlWrapper.so \
#   %{buildroot}%{_libdir}/libCurlWrapper.so
#install -m0755 build/tools/pr-downloader/src/FileSystem/libFileSystem.so \
#   %{buildroot}%{_libdir}/libFileSystem.so
#install -m0755 build/tools/pr-downloader/src/lib/7z/libpr-7z.so \
#   %{buildroot}%{_libdir}/libpr-7z.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/spring
#%{_bindir}/spring-multithreaded
%{_bindir}/spring-dedicated
%{_bindir}/spring-headless
%{_bindir}/pr-downloader
#%{_libdir}/libpr-downloader_static.a
#%{_libdir}/libpr-downloader_shared.so
%{_libdir}/libunitsync.so
#%{_libdir}/libCurlWrapper.so
#%{_libdir}/libFileSystem.so
#%{_libdir}/libpr-7z.so
%dir %{_datadir}/games/spring
%{_datadir}/games/spring/*
%{_datadir}/applications/spring.desktop
%{_datadir}/mime/packages/spring.xml
%{_datadir}/pixmaps/*.png
%{_mandir}/man6/spring-dedicated.6*
%{_mandir}/man6/spring-headless.6*
%{_mandir}/man6/spring-legacy.6*
%{_mandir}/man6/spring.6*

%changelog
* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 103.0-1mamba
- automatic version update by autodist

* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 102.0-1mamba
- automatic version update by autodist

* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 101.0-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Automatic Build System <autodist@mambasoft.it> 100.0-1mamba
- automatic version update by autodist

* Sat Dec 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 95.0-1mamba
- update to 95.0
- renamed from springrts

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 94.1-2mamba
- rebuilt with boost 1.55

* Sun Jul 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 94.1-1mamba
- update to 94.1

* Mon Mar 26 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 88.0-1mamba
- update to 88.0

* Fri Nov 25 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 84.0-1mamba
- update to 84.0

* Sun Mar 27 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.82.7.1-2mamba
- renamed package from spring to springrts to avoid conflict with Java Spring package

* Sun Mar 27 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.82.7.1-1mamba
- package created with autospec
